
#include "../melee.h"
#include "../ais.h"
#include "../melee/mshot.h"

AI_Player_Chenjesu::AI_Player_Chenjesu(Ship *ai) :
  AI_Player(ai) {

 select_state = true;
}

void AI_Player_Chenjesu::calculate() 
{
 AI_Player::calculate(); //Turn off all 'keys'
 
 if (ai_ship->target==NULL) {
     Stop();
     return;
  }

Attack(ai_ship->target);

CheckShots();

if (select_state) change_state();
}
void AI_Player_Chenjesu::ProcessShot(Shot *shot, double range)
{

 if (!isTarget(shot)) return;
 
 if (range <= 300.0)
  Attack(shot);

 select_state = true; 
}

void AI_Player_Chenjesu::ProcessLaser(SpaceLine *laser, double range)
{
}

void AI_Player_Chenjesu::change_state() 
{
  k.fire_special = false;
 if (ai_ship->distance(ai_ship->target)>=800.0)
   k.fire_special = true;

select_state = true;
} 

void AI_Player_Chenjesu::Attack(SpaceLocation *enemy)
{
 select_state = false; 

 Attack_Cancel = true;
 Turnface(enemy, 10.0);

double range = ai_ship->distance(ai_ship->target);

 if (!Attack_Cancel && range<=old_range)
  Attack_Cancel=false;
 else
  Attack_Cancel=true;

  if (!Attack_Cancel || select_state) {
    k.fire_weapon = true;
    old_range = range;
   }
  else {
   k.fire_weapon = false;
   old_range = -1.0;
  }

if (select_state) k.thrust = true;

old_range = range;
}
