#include <math.h>
#include "../melee.h"
#include "../ais.h"
#include "../melee/mshot.h"

AI_Player_Kohrah::AI_Player_Kohrah(Ship *ai) :
  AI_Player(ai) {

 select_state = true;
}

void AI_Player_Kohrah::calculate() 
{
 AI_Player::calculate(); //Turn off all 'keys'
 
 if (ai_ship->target==NULL) {
     Stop();
     return;
  }

// Chase(ai_ship->target);
Attack(ai_ship->target);

CheckShots();

if (select_state) change_state();
}
void AI_Player_Kohrah::ProcessShot(Shot *shot, double range)
{

 if (!isTarget(shot)) return;
 
 if (range <= 200.0 && ai_ship->batt >= ai_ship->special_drain)
  k.fire_special = true;
 else 
  Attack(shot);

 select_state = true; 
}

void AI_Player_Kohrah::ProcessLaser(SpaceLine *laser, double range)
{
 if (!isTarget(laser)) return;

 Attack(laser);

 select_state = true; 
}

void AI_Player_Kohrah::change_state() 
{
}

void AI_Player_Kohrah::Attack(SpaceLocation *enemy)
{
 select_state = false; 

 Attack_Cancel = true;
 Turnface(enemy, 5.0);

double range = ai_ship->distance(ai_ship->target);

 if (!Attack_Cancel && range<=old_range)
  Attack_Cancel=false;
 else
  Attack_Cancel=true;

  if (!Attack_Cancel || select_state) {
    k.fire_weapon = true;
    old_range = range;
   }
  else {
   k.fire_weapon = false;
   old_range = -1.0;
  }

if (select_state) k.thrust = true;

old_range = range;
}
