
#include "../melee.h"
#include "../ais.h"
#include "../melee/mshot.h"

//////////////// States of this AI ///////////////
#define AI_CHASE       1
#define AI_ATTACK      2
//////////////////////////////////////////////////
AI_Player_Yehat::AI_Player_Yehat(Ship *ai) :
  AI_Player(ai) {

 select_state = true;
}

void AI_Player_Yehat::calculate() 
{
 AI_Player::calculate(); //Turn off all 'keys'

 if (ai_ship->target==NULL) {
     Stop();
     return;
  }

   switch (state) {
    case AI_ATTACK:
//                    if (ai_ship->batt >= 3)  //reserve for 1 'Shield'
                     Attack(ai_ship->target); 
//                    else 
//                     state=AI_CHASE;
                    break;
    case AI_CHASE:
                    Chase(ai_ship->target);
                    break;

    default: break;
 } 

CheckShots();
if (select_state) change_state();
}
void AI_Player_Yehat::ProcessShot(Shot *shot, double range)
{

 if (range >= 400.0) return;
 if (!isTarget(shot)) return;
 
 if (range <= 200.0 && ai_ship->batt >= ai_ship->special_drain){
   k.fire_special = true;
   select_state = true; 
  } else 
  {
   if (ai_ship->distance(ai_ship->target) >= 400.0) //don't shot at 'shots' 
    Attack(shot);                                   //when enemy is in range
   select_state = true; 
  }
}

void AI_Player_Yehat::ProcessLaser(SpaceLine *laser, double range)
{
  if (!isTarget(laser)) return;

  if (ai_ship->batt >= ai_ship->special_drain) 
   k.fire_special = true;
  else
   Evade(laser);

 select_state = true; 
}

void AI_Player_Yehat::change_state() 
{

double range = ai_ship->distance(ai_ship->target);

 if (range > 400.0 ) 
   state = AI_CHASE;
 else 
   state = AI_ATTACK;
  select_state = false; 
}
