#ifndef _ID_H
#define _ID_H

#define SPACE_LOCATION 0x00000000

#define BASE_MASK             0xF0000000
#define SPACE_MASK            0xFF000000
#define SPACE_MASK2           0xFFFF0000

#define SPACE_OBJECT          0x10000000
#define SPACE_PLANET          0x11000001
#define SPACE_ASTEROID        0x11000002
#define SPACE_SHIP            0x12000000
#define SPACE_SHOT            0x13000000

#define SPACE_HOMING_MISSILE  0x13010000

// Ship ID masks
#define ANDROSYNTH_SHIP 0x01
#define ARILOU_SHIP     0x02
#define CHENJESU_SHIP   0x03
#define CHMMR_SHIP      0x04
#define DRUUGE_SHIP     0x05
#define EARTHLING_SHIP  0x06
#define ILWRATH_SHIP    0x07
#define KOHRAH_SHIP     0x08
#define KZERZA_SHIP     0x09
#define MELNORME_SHIP   0x0A
#define MMRNMHRMX_SHIP  0x0B
#define MMRNMHRMY_SHIP  0x0C
#define MYCON_SHIP      0x0D
#define ORZ_SHIP        0x0E
#define PKUNK_SHIP      0x0F
#define SHOFIXTI_SHIP   0x10
#define SLYLANDRO_SHIP  0x11
#define SPATHI_SHIP     0x12
#define SUPOX_SHIP      0x13
#define SYREEN_SHIP     0x14
#define THRADDASH_SHIP  0x15
#define UMGAH_SHIP      0x16
#define UTWIG_SHIP      0x17
#define VUX_SHIP        0x18
#define YEHAT_SHIP      0x19
#define ZOQFOTPIK_SHIP  0x1A

// Shot ID masks
#define ANDROSYNTH_SHOT  0x10
#define CHENJESU_SHOT    0x11
#define DRUUGE_SHOT      0x12
#define EARTHLING_SHOT   0x13
#define KOHRAHBLADE_SHOT 0x14
#define KOHRAHFRIED_SHOT 0x15
#define KZERZA_SHOT      0x16
#define MELNORME_SHOT    0x17
#define MELNORMEDIS_SHOT 0x18
#define MYCON_SHOT       0x19
#define ORZ_SHOT         0x1A
#define THRADDASH_SHOT   0x1B
#define THRADFLAME_SHOT  0x1C
#define ZOQFOTPIK_SHOT   0x1D

// Special masks
#define CHENDOGI_SPEC    0x31
#define CHMMR_SPEC       0x30
#define KZERZAFIGHT_SPEC 0x32
#define ORZMARINE_SPEC   0x33
#define SYREENCREW_SPEC  0x34
#define VUXLIMPET_SPEC   0x35


#define SPACE_LINE     0x2000
#define SPACE_LASER    0x2100

// Laser ID masks
#define ARILOU_LASER     0x20
#define CHMMR_LASER      0x21
#define SLYLANDRO_LASER  0x22

#endif