
#ifndef _MNET_H
#define _MNET_H


						
class NetTCP {
	public:
		int init();
		void deinit();
		int listen(int port);
		int connect(char *address, int port);
		int disconnect();
		int ready2send();
		int ready2recv();
		int send(int size, const void *data);
		int recv(int min, int max, void *data);

		void optimize4bandwidth();
		void optimize4latency();
	private:
		union {
			int signed_socket;
			unsigned int unsigned_socket;
			};
		static void (*message)(char *txt);
	};


#endif